Bug 81464 - ypbind init script should be run before netfs init script
ypbind init script should be run before netfs init script
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-09 13:02 EST by Victor Martinez
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Martinez 2003-01-09 13:02:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
netfs will fail if any mount's hostname comes from the yp hosts table only
(hostname is found in yp, not in /etc/hosts or dns).

Currently ypbind is started at S27 and netfs is started at S25.
Changing the ypbind start number to S24 resolves this issue.

Other work arounds are:
1 use ip address instead of hostname
2 place hostnames in /etc/hosts or dns

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.add nfs mount of remote filesystem using hostname that is only found in yp
2.reboot machine
3.mount fails
    

Actual Results:  Mount fails when machine is rebooted.
Mount can then be done with mount -a

Expected Results:  Mount works after reboot

Additional info:
Comment 1 Bill Nottingham 2006-08-07 13:52:16 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:54:06 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.